Bug 164812 - nscd cache does not expire its caches?
nscd cache does not expire its caches?
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On: 150748
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-08-01 12:09 EDT by Elena Zannoni
Modified: 2007-11-30 17:07 EST (History)
9 users (show)

See Also:
Fixed In Version: RHBA-2005-678
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 12:42:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena Zannoni 2005-08-01 12:09:29 EDT
+++ This bug was initially created as a clone of Bug #150748 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2) Gecko/20040803

Description of problem:
After changing the password on our NIS-Server, the client does not use the new
password while nscd is active. With deactivated nscd the new passwords are
delivered. Restarting nscd gives again the old password. Timeouts in
/etc/nscd.conf are the default values (600 sec), but I get the old password even
after 3 days

Version-Release number of selected component (if applicable):
glibc-2.3.4-2.fc3  nscd-2.3.4-2.fc3

How reproducible:
Always

Steps to Reproduce:
1. Change password on NIS Server
2. wait 30 min
3. getent passwd user
4. getent passwd | grep user
  

Actual Results:  "getent passwd user" gives me the old password hash, while nscd
is active
"getent passwd|grep user" gives me the new hash, same for "ypcat passwd"

Expected Results:  After the 10 minutes timeout I expect to se the new hash values

Additional info:

No information about any problems in /var/log/messages

Output from nscd -d -d -d:

12368: Access Vector Cache (AVC) started
12368: handle_request: request received (Version = 2) from PID 12376
12368:  GETFDPW
12368: provide access to FD 5, for passwd
Comment 2 Bastien Nocera 2005-08-16 06:28:56 EDT
From:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=150748#c15

"
RHEL4 U2 initial glibc testing RPMs that should address also this problem
uploaded to ftp://people.redhat.com/jakub/glibc/2.3.4-2.10/
"
Comment 3 Red Hat Bugzilla 2005-10-05 12:42:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-678.html

Note You need to log in before you can comment on or make changes to this bug.